Bug 955400 - Upgrading to 1.14.0-6.fc19.x86_64 breaks X
Summary: Upgrading to 1.14.0-6.fc19.x86_64 breaks X
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-23 01:12 UTC by Ankur Sinha (FranciscoD)
Modified: 2013-05-15 03:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-15 03:25:23 UTC
Type: Bug


Attachments (Terms of Use)
Xorg.log for failed X attempt (22.44 KB, text/plain)
2013-04-23 01:12 UTC, Ankur Sinha (FranciscoD)
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 958611 0 unspecified CLOSED Fatal server error: [ 750.103] EnterVT failed for gpu screen 0 2021-02-22 00:41:40 UTC

Internal Links: 958611

Description Ankur Sinha (FranciscoD) 2013-04-23 01:12:24 UTC
Created attachment 738748 [details]
Xorg.log for failed X attempt

Description of problem:
Upgrading to 1.14.0-6.fc19.x86_64 breaks X

Version-Release number of selected component (if applicable):
1.14.0-6.fc19.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Update system. 
2. Observe updated X package
3. reboot
  
Actual results:
After the fedora bubble, gdm is unable to come up. Checking Xorg.log from a virtual terminal shows X fails to start. 

Expected results:
X should start

Additional info:
Fix:

[ankur@ankur-pc  ~]$ sudo yum history info 6
Loaded plugins: langpacks, refresh-packagekit
Transaction ID : 6
Begin time     : Tue Apr 23 10:59:45 2013
Begin rpmdb    : 1721:b1e6ec9490808b0e59cc09941fa337eea132abcb
End time       :            10:59:51 2013 (6 seconds)
End rpmdb      : 1721:b7d2f7f225a0647827488b431705a1ab774f2675
User           : Ankur Sinha <ankur>
Return-Code    : Success
Command Line   : downgrade xorg-x11-*
Transaction performed with:
    Installed     rpm-4.11.0.1-1.fc19.x86_64              @koji-override-0/$releasever
    Installed     yum-3.4.3-83.fc19.noarch                @updates-testing
    Installed     yum-metadata-parser-1.1.4-8.fc19.x86_64 @koji-override-0/$releasever
Packages Altered:
    Downgrade  xorg-x11-server-Xorg-1.14.0-3.fc19.x86_64   @fedora
    Downgraded                      1.14.0-6.fc19.x86_64   @updates-testing
    Downgrade  xorg-x11-server-common-1.14.0-3.fc19.x86_64 @fedora
    Downgraded                        1.14.0-6.fc19.x86_64 @updates-testing


I have X running again.

Comment 1 Peter Hutterer 2013-04-23 01:49:00 UTC
1.14.0-6.fc19.x86_64 is not the trigger, issue must be in -4 or -5. Dave?

Comment 2 Dave Airlie 2013-05-02 10:50:34 UTC
yeah I'll hopefully push a new update out to fix this, for now you can workaround by just putting 

Section "Device"
   Identifier "dev0"
   Driver "intel"
EndSection

into an xorg.conf

Comment 3 Ankur Sinha (FranciscoD) 2013-05-02 12:10:15 UTC
Work around works. Thanks Dave.

Comment 4 Dave Airlie 2013-05-15 02:15:19 UTC
does the latest xorg server fix this btw?

Comment 5 Ankur Sinha (FranciscoD) 2013-05-15 03:25:23 UTC
Yep. Thanks for the fix. Closing.


Note You need to log in before you can comment on or make changes to this bug.